%define name	rhs-hadoop-install
%define version	1_36
%define name_vers %{name}-%{version}
%define source	%{name_vers}.tar.gz
# /usr/share/
%define target	%{_datadir}/

Name:		%{name}
Version:	%{version}
Release:	1%{?dist}
Summary:	RHS-hadoop package and installer

Group:		Development/Tools
License:	Apache
Source0:	%{source}
BuildRoot:	%{name}
BuildArch:	noarch

Requires:	bash

%description
Prepares RHS (glusterfs) volumes to be ready for Hadoop workloads. It is assumed
that RHS 3.x has been installed per RHS guidelines (eg. RAID6 data partition)
but gluster volumes do not need to be set up. This package supports both new
installations as well as exiting RHS clusters. Note: Hadoop is NOT installed.

%prep
%setup -q

%build

%install
install -d %{buildroot}%{target}%{name}
#install -d %{buildroot}%{_sysconfdir}/yum.repos.d
cp -r %{_builddir}/%{name_vers}/* %{buildroot}%{target}%{name}
# mv repo file to /etc/yum.repos.d/
#mv %{buildroot}%{target}%{name}/rhs-hadoop-beta.repo %{buildroot}%{_sysconfdir}/yum.repos.d

%clean

%files
%defattr(644, root, root, 755)

%{target}%{name}/VERSION
%{target}%{name}/bin/functions
#%{target}%{name}/*.sh
%attr(755, root, root) %{target}%{name}/*.sh
%attr(755, root, root) %{target}%{name}/bin/*.sh
%attr(755, root, root) %{target}%{name}/bin/.cleanup.sh
#%{_sysconfdir}/yum.repos.d/rhs-hadoop-beta.repo

%doc	%{target}%{name}/README.md
#%doc	%{target}%{name}/rhs/README.txt
#%doc	%{target}%{name}/devutils/README.txt

%changelog
* Fri Aug 29 2014 Jeff Vance <jvance@redhat.com> 1_36-1
- fix BZ 1131430
* Mon Aug 18 2014 Jeff Vance <jvance@redhat.com> 1_35-1
- fix BZ 1114585
* Mon Jul 28 2014 Jeff Vance <jvance@redhat.com> 1_34-1
- fix BZs: 1109910, 1105149
* Mon Jul 28 2014 Jeff Vance <jvance@redhat.com> 1_33-1
- fix BZs: 1123880, 1109910, 1114585
* Fri Jul 25 2014 Jeff Vance <jvance@redhat.com> 1_32-1
- fix BZs: 1121069 (blocker), 1105149, .
* Tue Jul 22 2014 Jeff Vance <jvance@redhat.com> 1_31-1
- fix BZ 1112651
* Mon Jul 21 2014 Jeff Vance <jvance@redhat.com> 1_30-1
- 1) comment out creating distributed dirs under users/, 2) fix
  BZ 1121069
* Wed Jul 16 2014 Jeff Vance <jvance@redhat.com> 1_29-1
- add distributed sub-dirs under user/, some minor cleanup
* Fri Jul 11 2014 Jeff Vance <jvance@redhat.com> 1_28-1
- fix BZ 113023, error handling, added bin/.cleanup.sh for resetting
  the storage cluster to almost what is was prior to setup_cluster
* Thu Jul 10 2014 Jeff Vance <jvance@redhat.com> 1_27-1
- removes "rhn-channel add" and detects glustefs client version
  on yarn master server.
* Mon Jul 07 2014 Jeff Vance <jvance@redhat.com> 1_26-1
- fixes BZs: 1116457, 1111572, 1114585. Adds check to help with 1115954.
  Adds back entry-timeout=0,attribute-timeout=0 as vol mnt options.
* Fri Jun 27 2014 Jeff Vance <jvance@redhat.com> 1_25-1
- fix for glusterfs 3.6 client bits installed on yarn-master (rhel 6.5)
  and BZ 1114084.
* Thu Jun 26 2014 Jeff Vance <jvance@redhat.com> 1_24-1
- fixes BZ: 1111617.
* Wed Jun 25 2014 Jeff Vance <jvance@redhat.com> 1_23-1
- fixes BZ 1112958.
* Tue Jun 24 2014 Jeff Vance <jvance@redhat.com> 1_22-2
- fix up build error.
* Tue Jun 24 2014 Jeff Vance <jvance@redhat.com> 1_22-1
- fixes BZ: 1112651.
* Tue Jun 24 2014 Jeff Vance <jvance@redhat.com> 1_21-1
- fixes BZs: 1111617, 1111572, 1110318, 1110652.
* Thu Jun 19 2014 Jeff Vance <jvance@redhat.com> 1_20-1
- cosmetic fixes
* Thu Jun 19 2014 Jeff Vance <jvance@redhat.com> 1_19-1
- fixes: BZs: 1110335; github issues too.
* Mon Jun 09 2014 Jeff Vance <jvance@redhat.com> 1_18-1
- fixes github issues
* Fri Jun 06 2014 Jeff Vance <jvance@redhat.com> 1_17-1
- addresses several issues and should be frozen externals
* Thu May 29 2014 Jeff Vance <jvance@redhat.com> 1_14-1
- many misc fixes including a gluster-fuse mnt for the yarn node.
* Fri May 23 2014 Jeff Vance <jvance@redhat.com> 1_11-1
- rm QUIET from bin scripts, more core-site support, set_vol_perf bug fix.
* Thu May 22 2014 Jeff Vance <jvance@redhat.com> 1_10-1
- fixes to core-site file editing; yarn node mounting fixes
* Fri May 16 2014 Jeff Vance <jvance@redhat.com> 1_03-1
- remove requirement of sripts needing to be run on a storage node
* Tue May 13 2014 Jeff Vance <jvance@redhat.com> 1_01-2
- bumped fix number.
* Tue May 13 2014 Jeff Vance <jvance@redhat.com> 1_01-1
- initial version
